Latest code works Rated 5 out of 5 stars

Looks like the version published here is broken for FF < 4. As suggested I was able to get it working using the latest code in github. I couldn't find a package for 1.6.3, does anyone know the URL for it?

This review is for a previous version of the add-on ( 

1.6.3 is now reviewed and available.

... you can always find pending and older versions via the versions section at the end of the page.